GBW3(1)

NAME
gbs3 - GAMBAS Scripter

SYNOPSIS
gbs3 [options] [--] [<script file> | -]
gbs3 --convert-project <source project directory> <destination script directory>

DESCRIPTION

DESCRIPTION
Gambas is a free development environment based on a Basic interpreter with object extensions, a mix of Java(tm) and Visual Basic(tm). With Gambas, you can quickly design your program GUI with Qt or GTK+, access database systems like MySQL, PostgreSQL, SQlite or ODBC databases, pilot applications with DBus, translate your program into many languages, create GStreamer, OpenGL or SDL applications, and so on... gbs3 is the interpreter that allows you to compile and execute a Gambas script.
gbs3 may also be used to convert a gambas project to a script

OPTIONS

-b, --buildonly
    process and compile the script without executing it

-c, --nocache
    force the script compilation (do not check cache)

-e  execute the source code provided by the command line ( ':' separator )

-f, --fast
    use just-in-time compiler TP -g, --debug add debugging information to application

-h, --help
    display help and exit

-l, --list
    display a list of available Components or Libraries, '-l component' or '-l library'

-L, --license
    display license

-S --strict
    fail if 'Public' or 'Sub' are defined without a 'main' function otherwise create main()

-t, --trace
    turn on tracing option during execution

-T, --terse
    only print a very terse error report on compile errors

-u, --use
    load component or libraries ('comp1,comp2,lib1...')

-v, --verbose
    be verbose

-V, --version
    display version

-w, --warnings
    display warnings during compilation

--convert-project
    convert a simple project to a script

PROJECT CONVERSION
gbs3 can convert a gambas project to an executable script file using the --convert-project option.
The input project directory is used to createthe script which is written to the output script directory.
The script is created and named the same as the originating project. gbs3 MyProjectDirectory DestinationScriptDirectory

EXAMPLE
#!/usr/bin/env gbs3
for i as integer = 0 to 10
  print i;;
next

AVAILABILITY
The latest version of Gambas can always be obtained from gambas.sourceforge.net, documentation about the language is at http://gambaswiki.org/wiki.

REPORTING BUGS
Report bugs to http://gambaswiki.org/bugtracker

COPYRIGHT
Copyright© Benoît Minisini <benoit.minisini@gambas-basic.org>;

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.